//
//  SpeakEleProfileViewModel.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/23.
//

import UIKit

class SpeakEleProfileViewModel: NSObject {

    var setting:[SpeakEleProfileModel] {
        set {}
        get {
            return [
                SpeakEleProfileModel(section: .Language,child: [
                    SpeakEleProfileDescModel(title: .TargetLanguage,state:.PInfo),
                    SpeakEleProfileDescModel(title: .NativeLanguage,state:.PInfo),
                    SpeakEleProfileDescModel(title: .Learn,state:.PSwitch)
                ]),
                
                SpeakEleProfileModel(section: .Other,child: [
                    SpeakEleProfileDescModel(title: .Interest,state: .PInfo),
                    SpeakEleProfileDescModel(title: .Target,state: .PInfo)
                ]),
                
                SpeakEleProfileModel(section: .Support,child: [
                    SpeakEleProfileDescModel(title: .RateUs,state: .PInfo),
                    SpeakEleProfileDescModel(title: .Restore,state: .PInfo),
                    SpeakEleProfileDescModel(title: .PrivacyPolicy,state: .PInfo),
                    SpeakEleProfileDescModel(title: .Terms,state: .PInfo),
                    SpeakEleProfileDescModel(title: .Delete,state: .PInfo)
                ]),
            ]
        }
    }
}
